Loading...
Searching...
No Matches
powerbasis.hh File Reference
`#include <dune/common/reservedvector.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/common/typetree/nodeconcepts.hh>`
`#include <dune/functions/common/utility.hh>`
`#include <dune/functions/common/type_traits.hh>`
`#include <dune/functions/functionspacebases/basistags.hh>`
`#include <dune/functions/functionspacebases/dynamicpowerbasis.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::PowerPreBasis< IMS, SPB, C >
| A pre-basis for power bases. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Functions

template<std::size_t k, class ChildPreBasisFactory, class IndexMergingStrategy>
auto | Dune::Functions::BasisFactory::power (ChildPreBasisFactory &&childPreBasisFactory, const IndexMergingStrategy &)
| Create a pre-basis factory that can build a PowerPreBasis.
template<std::size_t k, class ChildPreBasisFactory>
auto | Dune::Functions::BasisFactory::power (ChildPreBasisFactory &&childPreBasisFactory)
| Create a factory builder that can build a PowerPreBasis.